import { EnumSelected } from './../../../model/common-model';
import { EnumFilterHelper } from './enum-filter-helper';
import { IFilterParams } from 'ag-grid-community';
import BaseFilter from '../base-filter';
export declare class EnumFilter extends BaseFilter {
    filterHelper: EnumFilterHelper;
    init(params: IFilterParams & {
        category: string;
        enum: any;
    }): void;
    onOpenDropDown(): Promise<void>;
    isFilterActive(): boolean;
    resetFilter(): void;
    removeFilterValue(filterValue: EnumSelected): void;
    setupContentGuiSideFilter(): string;
    setupContentGui(): Promise<string>;
    filterValuesChanged(newVal: boolean, oldVal: boolean): void;
    getValue(): Array<EnumSelected>;
    getModelAsString(): string;
    getModel(): any;
    setModel(model: any): void;
}
